[arch-commits] Commit in nodejs-lts-carbon/repos/community-x86_64 (4 files)

Bruno Pagani archange at archlinux.org
Wed Nov 28 14:45:37 UTC 2018


    Date: Wednesday, November 28, 2018 @ 14:45:36
  Author: archange
Revision: 410425

archrelease: copy trunk to community-x86_64

Added:
  nodejs-lts-carbon/repos/community-x86_64/PKGBUILD
    (from rev 410424, nodejs-lts-carbon/trunk/PKGBUILD)
  nodejs-lts-carbon/repos/community-x86_64/node.install
    (from rev 410424, nodejs-lts-carbon/trunk/node.install)
Deleted:
  nodejs-lts-carbon/repos/community-x86_64/PKGBUILD
  nodejs-lts-carbon/repos/community-x86_64/node.install

--------------+
 PKGBUILD     |  137 ++++++++++++++++++++++++++++-----------------------------
 node.install |   22 ++++-----
 2 files changed, 80 insertions(+), 79 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-11-28 14:45:23 UTC (rev 410424)
+++ PKGBUILD	2018-11-28 14:45:36 UTC (rev 410425)
@@ -1,68 +0,0 @@
-# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
-
-pkgname=nodejs-lts-carbon
-pkgver=8.13.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript (LTS release: Carbon)'
-arch=('x86_64')
-url="https://nodejs.org/"
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares' 'libnghttp2')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-install=node.install
-provides=("nodejs=$pkgver")
-conflicts=('nodejs')
-source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
-# https://nodejs.org/download/release/latest-carbon/SHASUMS256.txt.asc
-sha256sums=('2aa99474a336c6339d14f08cc27d387c5168e6fb6cbcaaea1d5ff7aa89642de2')
-validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8' # Myles Borins <mylesborins at google.com>
-              '77984A986EBC2AA786BC0F66B01FBB92821C587A' # Gibson Fahnestock <gibfahn at gmail.com>
-              'B9AE9905FFD7803F25714661B63B535A4C206CA9' # Evan Lucas <evanlucas at me.com> 
-              'DD8F2338BAE7501E3DD5AC78C273792F7D83545D') # Rod Vagg <rod at vagg.org>
-
-prepare() {
-  cd node-v${pkgver}
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v${pkgver}
-
-  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser \
-    --shared-cares \
-    --shared-nghttp2
-
-  make
-}
-
-check() {
-  cd node-v${pkgver}
-  make test
-}
-
-package() {
-  cd node-v${pkgver}
-
-  make DESTDIR="${pkgdir}" install
-
-  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
-}

Copied: nodejs-lts-carbon/repos/community-x86_64/PKGBUILD (from rev 410424, nodejs-lts-carbon/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-11-28 14:45:36 UTC (rev 410425)
@@ -0,0 +1,69 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-carbon
+pkgver=8.14.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript (LTS release: Carbon)'
+arch=('x86_64')
+url="https://nodejs.org/"
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares' 'libnghttp2')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+install=node.install
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-carbon/SHASUMS256.txt.asc
+sha256sums=('8ce252913c9f6aaa9871f2d9661b6e54858dae2f0064bd3c624676edb09083c4')
+validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8' # Myles Borins <mylesborins at google.com>
+              '77984A986EBC2AA786BC0F66B01FBB92821C587A' # Gibson Fahnestock <gibfahn at gmail.com>
+              'B9AE9905FFD7803F25714661B63B535A4C206CA9' # Evan Lucas <evanlucas at me.com> 
+              'DD8F2338BAE7501E3DD5AC78C273792F7D83545D') # Rod Vagg <rod at vagg.org>
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares \
+    --shared-nghttp2
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  # test-http-max-http-headers since 8.14.0
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Deleted: node.install
===================================================================
--- node.install	2018-11-28 14:45:23 UTC (rev 410424)
+++ node.install	2018-11-28 14:45:36 UTC (rev 410425)
@@ -1,11 +0,0 @@
-post_upgrade() {
-    if [ $(vercmp $2 8.11.4-1) -lt 0 ] ; then
-        cat << EOF
-
-According to upstream policy, this package was rebuilt against OpenSSL 1.0.x instead of 1.1.x.
-Any depending package relying on OpenSSL ABI as vendored by NodeJS will have to be rebuild.
-
-EOF
-    fi
-}
-

Copied: nodejs-lts-carbon/repos/community-x86_64/node.install (from rev 410424, nodejs-lts-carbon/trunk/node.install)
===================================================================
--- node.install	                        (rev 0)
+++ node.install	2018-11-28 14:45:36 UTC (rev 410425)
@@ -0,0 +1,11 @@
+post_upgrade() {
+    if [ $(vercmp $2 8.11.4-1) -lt 0 ] ; then
+        cat << EOF
+
+According to upstream policy, this package was rebuilt against OpenSSL 1.0.x instead of 1.1.x.
+Any depending package relying on OpenSSL ABI as vendored by NodeJS will have to be rebuild.
+
+EOF
+    fi
+}
+


More information about the arch-commits mailing list